#ifndef ROTOR_STATUS_H
#define ROTOR_STATUS_H

#include <vdr/status.h>

class cStatusMonitor:public cStatus { // , public cThread
private:
  cDevice *device;
  int oldupdate;
  bool transfer;
  bool Aktiv;
  cChannel* Channel;
protected:
  virtual void ChannelSwitch(const cDevice *Device, int ChannelNumber);
public:
//  void Action();
  cStatusMonitor();
};

class cWaitForLockThread:public cThread {
private:
  bool active;
  cDevice *device;
public:
  cWaitForLockThread();
  ~cWaitForLockThread();
  void WaitForLock(cDevice *Device);
  void Restart();
  void Action();
};

extern cWaitForLockThread Wait;

#endif
